import bpy

def extra(imageScene, imagePlane, targetEmpty, camera, extraAmount, extraText, extraTexture):
    name = 'White Background'
    bpy.context.screen.scene = imageScene
    bpy.ops.mesh.primitive_plane_add(radius=2, location=(0, 0, -2))
    backgroundPlane = bpy.context.scene.objects.active
    backgroundPlane.name = name
    modifier = backgroundPlane.modifiers.new(name='', type='SUBSURF')
    modifier.render_levels = 1
    modifier.subdivision_type = 'SIMPLE'
    backgroundMaterial = bpy.data.materials.new(name)
    backgroundPlane.data.materials.append(backgroundMaterial)
    
    backgroundMaterial.diffuse_color = (extraAmount, extraAmount, extraAmount)
    backgroundMaterial.diffuse_intensity = 1
    backgroundMaterial.specular_intensity = 0
    backgroundMaterial.use_shadeless = True
    backgroundPlane.parent = camera