import bpy

def extra(imageScene, imagePlane, targetEmpty, camera, extraAmount, extraText, extraTexture):
    bpy.context.screen.scene = imageScene
    imageScene.use_nodes = True
    nodes = imageScene.node_tree.nodes
    for node in nodes:
        nodes.remove(node)
    nodeInput = nodes.new(type="CompositorNodeRLayers")
    nodeInput.location = ((-100, 400))
    nodeGlare = nodes.new(type="CompositorNodeGlare")
    nodeGlare.location = ((150, 400))
    nodeGlare.threshold = 1 - (extraAmount / 1.5)
    nodeGlare.quality = 'LOW'
    nodeOutput = nodes.new(type="CompositorNodeComposite")
    nodeOutput.location = ((400, 400))
    links = imageScene.node_tree.links
    links.new(nodeInput.outputs['Image'], nodeGlare.inputs['Image'])
    links.new(nodeGlare.outputs['Image'], nodeOutput.inputs['Image'])
    